function  [sdr_val] = sdr_n (u, v)
% SDR_N computes computes SDR (signal-to-distortion ratio) between two signals
% for evaluating quality of the declipping restoration
%
% Input parameters
%       u     vector representing the original clean signal
%       v     vector representing the processed (reconstructed) signal  

sdr_val = 20*log10(norm(u)/norm(u-v));

end